CVE-2020-24890

LOW

Description

** DISPUTED ** libraw 20.0 has a null pointer dereference vulnerability in parse_tiff_ifd in src/metadata/tiff.cpp, which may result in context-dependent arbitrary code execution. Note: this vulnerability occurs only if you compile the software in a certain way.

References

https://github.com/LibRaw/LibRaw/issues/335

https://lists.fedoraproject.org/archives/list/[email protected]/message/EWHUZCRMGOC3QS6C65KWBM6ZJM25V6HI/

https://security.gentoo.org/glsa/202010-05

Details

Source: MITRE

Published: 2020-09-16

Updated: 2020-11-23

Type: CWE-476

Risk Information

CVSS v2.0

Base Score: 2.6

Vector: AV:N/AC:H/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 4.9

Severity: LOW

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM